org.apache.cassandra.service

## Interface PBSPredictorMBean

- All Known Implementing Classes:
    PBSPredictor

      public interface PBSPredictorMBean

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `disableConsistencyPredictionLogging()`
    `PBSPredictionResult` | `doPrediction(int n, int r, int w, float timeSinceWrite, int numberVersionsStale, float percentileLatency)`
    `void` | `enableConsistencyPredictionLogging()`
    `void` | `setMaxLoggedLatenciesForConsistencyPrediction(int maxLogged)`
    `void` | `setNumberTrialsForConsistencyPrediction(int numTrials)`

- - ### Method Detail

    - #### doPrediction

          PBSPredictionResult doPrediction(int n,
                                         int r,
                                         int w,
                                         float timeSinceWrite,
                                         int numberVersionsStale,
                                         float percentileLatency)

    - #### enableConsistencyPredictionLogging

          void enableConsistencyPredictionLogging()

    - #### disableConsistencyPredictionLogging

          void disableConsistencyPredictionLogging()

    - #### setMaxLoggedLatenciesForConsistencyPrediction

          void setMaxLoggedLatenciesForConsistencyPrediction(int maxLogged)

    - #### setNumberTrialsForConsistencyPrediction

          void setNumberTrialsForConsistencyPrediction(int numTrials)

Copyright © 2014 The Apache Software Foundation